Summary: Matroska container manipulation utilities
Name: mkvtoolnix
Version: 2.4.2
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Multimedia
Source0: http://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.bz2
Source1: mmg.desktop
Source2: mkvinfo.desktop
Patch0: %{name}-git18da82.patch
Patch1: %{name}-git706fa5.patch
Patch2: %{name}-git7429ba.patch
Patch3: %{name}-gita58727.patch
Patch4: %{name}-ppc64.patch
URL: http://www.bunkus.org/videotools/mkvtoolnix/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: file-devel
BuildRequires: flac-devel >= 1.1.1
BuildRequires: libmatroska-devel >= 0.8.1
BuildRequires: libvorbis-devel
BuildRequires: pcre-devel
BuildRequires: zlib-devel
BuildRequires: expat-devel
BuildRequires: lzo-devel
BuildRequires: bzip2-devel
BuildRequires: wxGTK-devel

%description
Mkvtoolnix is a set of utilities to mux and demux audio, video and subtitle
streams into and from Matroska containers.

%package gui
Summary: Mkvtoolnix GUI
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: hicolor-icon-theme

%description gui
GUI for mkvtoolnix.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .ppc64
sed -i -e 's/"-O3"/""/' configure*
for file in AUTHORS ChangeLog ; do
  iconv -f iso8859-1 -t utf8 $file >$file.utf && \
  touch -r $file $file.utf && \
  mv $file.utf $file
done

%build
%configure || cat config.log
%{__make} %{?_smp_mflags} V=1
%{__make} %{?_smp_mflags} V=1 TOOLS=1 -C src

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT STRIP=/bin/true TOOLS=1 install
desktop-file-install \
  --vendor=livna \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --mode=644 \
  %{SOURCE1}
install -Dpm 644 src/mmg/matroskalogo.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/mmg.xpm
desktop-file-install \
  --vendor=livna \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --mode=644 \
  %{SOURCE2}
install -Dpm 644 src/info/matroska.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/mkvinfo.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post gui
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun gui
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(644,root,root,0755)
%doc AUTHORS COPYING README ChangeLog TODO
%attr(755,root,root) %{_bindir}/base64tool
%attr(755,root,root) %{_bindir}/diracparser
%attr(755,root,root) %{_bindir}/ebml_validator
%attr(755,root,root) %{_bindir}/mkvextract
%attr(755,root,root) %{_bindir}/mkvmerge
%attr(755,root,root) %{_bindir}/vc1parser
%{_mandir}/man1/base64tool*
%{_mandir}/man1/mkvextract*
%{_mandir}/man1/mkvmerge*

%files gui
%defattr(644,root,root,0755)
%doc doc/mkvmerge-gui.html
%attr(755,root,root) %{_bindir}/mkvinfo
%attr(755,root,root) %{_bindir}/mmg
%{_mandir}/man1/mkvinfo*
%{_mandir}/man1/mmg*
%{_datadir}/%{name}
%{_datadir}/applications/*-mkvinfo.desktop
%{_datadir}/applications/*-mmg.desktop
%{_datadir}/icons/hicolor/32x32/apps/mkvinfo.xpm
%{_datadir}/icons/hicolor/32x32/apps/mmg.xpm

%changelog
* Mon Jan 19 2009 Dominik Mierzejewski <rpm@greysector.net> 2.4.2-1
- updated to 2.4.2
- dropped obsolete boost detection patch
- fixed segmentation fault in mmg (bug #477857)
- backported some minor fixes from current git
- fixed build on ppc64 again

* Mon Dec 01 2008 Dominik Mierzejewski <rpm@greysector.net> 2.4.0-1
- dropped obsolete mkvtoolnix-gcc43.patch
- fixed boost detection on ppc64 (and sparc64) (bug #473976)
- updated to 2.4.0
- added new BRs
- added missing Requires: hicolor-icon-theme for hicolor icon dirs
- build and include more tools
- fixed rpmlint issues

* Sun Jun 01 2008 Dominik Mierzejewski <rpm@greysector.net> 2.2.0-1
- updated to 2.2.0
- dropped redundant BRs

* Fri Feb 15 2008 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-2
- fixed build with gcc-4.3

* Sun Aug 26 2007 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-1
- updated to 2.1.0
- updated license tag

* Sun Apr 16 2007 Dominik Mierzejewski <rpm@greysector.net> 2.0.2-1
- updated to 2.0.2

* Thu Feb 15 2007 Dominik Mierzejewski <rpm@greysector.net> 2.0.0-1
- updated to 2.0.0
- rebuilt against new flac

* Sat Dec 16 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.1-2
- rebuilt with new wxGTK

* Tue Dec 05 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.1-1
- updated to 1.8.1

* Sun Nov 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.8.0-3
- Update GTK icon cache in -gui's post(un)install phase, not main pkg's.
- Add menu entry for mkvinfo.

* Thu Nov 23 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.0-2
- moved mkvinfo and its manpage to -gui
- dropped --enable-debug from configure

* Sun Nov 19 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.0-1
- updated to 1.8.0
- prevent stripping binaries during make install
- removed sed from BRs
- made -gui Require: current version of the main package
- specfile cleanups

* Fri Jul 28 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7.0-1
- updated to 1.7.0
- removed FCver dependent BRs

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6.5-3
- added missing BRs
- enable all deps by default

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6.5-2
- added desktop file and icon for GUI
- remove hardcoded -O3 from configure's CFLAGS

* Fri Jan 06 2006 Dominik Mierzejewski <rpm@greysector.net>
- dropped RH7.x support
- specfile cleanups

* Sun Dec 11 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 1.6.5
- updated BuildRequires

* Thu Jul 07 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 1.5.0

* Mon Apr 11 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed BRs for Fedoras

* Wed Jan 12 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed rebuilding under RH7.3

* Sat Jan 08 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 1.0.1

* Sat Oct 16 2004 Dominik Mierzejewski <rpm@greysector.net>
- arranged sections in correct order
- split GUI into separate package
- added some bconds

* Sat Jan 02 2004 Ronald Bultje <rbultje@ronald.bitfreak.net
- set this thing up
